/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<declarative_filter_parameter.hpp>)
#  include <declarative_filter_parameter.hpp>
#endif
#if __has_include(<declarative_image_parameter.hpp>)
#  include <declarative_image_parameter.hpp>
#endif
#if __has_include(<declarative_layer_parameter.hpp>)
#  include <declarative_layer_parameter.hpp>
#endif
#if __has_include(<declarative_source_parameter.hpp>)
#  include <declarative_source_parameter.hpp>
#endif
#if __has_include(<declarative_style.hpp>)
#  include <declarative_style.hpp>
#endif
#if __has_include(<qml_types.hpp>)
#  include <qml_types.hpp>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_MapLibre()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<MapLibreStyleAttached>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<MapLibreStyleProperties>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<QMapLibre::DeclarativeFilterParameter>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<QMapLibre::DeclarativeImageParameter>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<QMapLibre::DeclarativeLayerParameter>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<QMapLibre::DeclarativeSourceParameter>("MapLibre", 3);
    qmlRegisterTypesAndRevisions<QMapLibre::DeclarativeStyle>("MapLibre", 3);
    qmlRegisterAnonymousType<QQuickItem, 254>("MapLibre", 3);
    QMetaType::fromType<QMapLibre::FilterParameter *>().id();
    QMetaType::fromType<QMapLibre::ImageParameter *>().id();
    QMetaType::fromType<QMapLibre::LayerParameter *>().id();
    QMetaType::fromType<QMapLibre::SourceParameter *>().id();
    QMetaType::fromType<QMapLibre::StyleParameter *>().id();
    QT_WARNING_POP
    qmlRegisterModule("MapLibre", 3, 0);
}

static const QQmlModuleRegistration mapLibreRegistration("MapLibre", qml_register_types_MapLibre);
